<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <title> Sample API get all combo & type</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container jumbotron">
        <div class="row">
            <div class="col-sm-4 ">
                    <div class="card small-size">
                      <div class="card-header bg-main-brand text-white text-center bg-warning">
                        <h3 ></h3>
                      </div>
                      <div class="card-body text-center">
                        <ul class="list-group list-group-flush">
                          <li class="list-group-item">
                            Đường kính <b id="duongKinh"></b>
                          </li>
                          <li class="list-group-item">Sườn nướng <b id="suonNuong"></b></li>
                          <li class="list-group-item">Salad <b id="salad"></b></li>
                          <li class="list-group-item">Nước ngọt <b id="nuocNgot"></b></li>
                          <li class="list-group-item">
                            <h1>VND <b id="thanhTien"></b></h1>
                          </li>
                        </ul>
                      </div>
                      <div class="card-footer text-center">
                        <button class="btn btn-warning" id="btn-size-small">
                          Chọn
                        </button>
                      </div>
                    </div>
                  </div>
            <div class="col-sm-4">
                <div class="card medium-size">
                    <div class="card-header bg-main-brand text-white text-center bg-warning">
                      <h3></h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                          Đường kính <b id="duongKinh"></b>
                        </li>
                        <li class="list-group-item">Sườn nướng <b id="suonNuong"></b></li>
                        <li class="list-group-item">Salad <b id="salad"></b></li>
                        <li class="list-group-item">Nước ngọt <b id="nuocNgot"></b></li>
                        <li class="list-group-item">
                          <h1>VND <b id="thanhTien"></b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button class="btn btn-warning" id="btn-size-small">
                        Chọn
                      </button>
                    </div>
                  </div>
            </div>
            <div class="col-sm-4">
                <div class="card large-size">
                    <div class="card-header bg-main-brand text-white text-center bg-warning">
                      <h3 ></h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                          Đường kính <b id="duongKinh"></b>
                        </li>
                        <li class="list-group-item">Sườn nướng <b id="suonNuong"></b></li>
                        <li class="list-group-item">Salad <b id="salad"></b></li>
                        <li class="list-group-item">Nước ngọt <b id="nuocNgot"></b></li>
                        <li class="list-group-item">
                          <h1>VND <b id="thanhTien"></b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button class="btn btn-warning" id="btn-size-small">
                        Chọn
                      </button>
                    </div>
                  </div>
            </div>
        </div>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */


    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function() {
        onPageLoading();
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading(){
        $.ajax({
            url: "https://647406377de100807b1a4df4.mockapi.io/combos",
            type: "GET",
            success: function (paramsComboSize) {
                console.log(paramsComboSize)
                for (var bI = 0; bI < paramsComboSize.length; bI++) {

                     console.log("Kick Co: " +paramsComboSize[bI].kichCo)
                     console.log("Duong Kinh: " +paramsComboSize[bI].duongKinh)
                     console.log("Suon Nuong: " +paramsComboSize[bI].suonNuong)
                     console.log("Salad: " +paramsComboSize[bI].salad)
                     console.log("Nuoc Ngot: " +paramsComboSize[bI].nuocNgot)
                     console.log("Thanh tien: " +paramsComboSize[bI].thanhTien)
                     hienThiThongTinSizeCombo (paramsComboSize)
                }
            },
            error: function(paramError){
                console.log(paramError)
            }
        });
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hien thi thong tin ra website:
    function hienThiThongTinSizeCombo (paramsComboSize){
        var vSmallSizeCard = $(".small-size");
        vSmallSizeCard.find("h3").html(paramsComboSize[0].kichCo + "(Small)");
        vSmallSizeCard.find("#duongKinh").html(paramsComboSize[0].duongKinh);
        vSmallSizeCard.find("#suonNuong").html(paramsComboSize[0].suonNuong);
        vSmallSizeCard.find("#salad").html(paramsComboSize[0].salad);
        vSmallSizeCard.find("#nuocNgot").html(paramsComboSize[0].nuocNgot);
        vSmallSizeCard.find("#thanhTien").html(paramsComboSize[0].thanhTien);

        var vSmallSizeCard = $(".medium-size");
        vSmallSizeCard.find("h3").html(paramsComboSize[1].kichCo + "(Medium)");
        vSmallSizeCard.find("#duongKinh").html(paramsComboSize[1].duongKinh);
        vSmallSizeCard.find("#suonNuong").html(paramsComboSize[1].suonNuong);
        vSmallSizeCard.find("#salad").html(paramsComboSize[1].salad);
        vSmallSizeCard.find("#nuocNgot").html(paramsComboSize[1].nuocNgot);
        vSmallSizeCard.find("#thanhTien").html(paramsComboSize[1].thanhTien);

        var vSmallSizeCard = $(".large-size");
        vSmallSizeCard.find("h3").html(paramsComboSize[2].kichCo + "(Large)");
        vSmallSizeCard.find("#duongKinh").html(paramsComboSize[2].duongKinh);
        vSmallSizeCard.find("#suonNuong").html(paramsComboSize[2].suonNuong);
        vSmallSizeCard.find("#salad").html(paramsComboSize[2].salad);
        vSmallSizeCard.find("#nuocNgot").html(paramsComboSize[2].nuocNgot);
        vSmallSizeCard.find("#thanhTien").html(paramsComboSize[2].thanhTien);
    }


</script>



</html>